#!/usr/bin/python
#                     ______________________
#                    |                      |
#                    |     Functions        |
#                    |______________________|
#

#load libraries
#from scipy import *
import scipy
import scipy.io.array_import
import gracePlot
import commands
import os
	
def LoadDataExperiment_H():
	file="/media/disk/scr/ceplx049/scr2/gcae504/Dissertation/3D_Nielsen/Experiment/two_d_benchmark_test/HExp.txt"
	data=scipy.io.array_import.read_array(file)
	y=data[:,0].tolist()
	U=data[:,1].tolist()
	RMS=data[:,1].tolist()
	return U,y,RMS

def LoadData(file):

	data=scipy.io.array_import.read_array(file)
	y=data[:,0].tolist()
	Ux=data[:,1].tolist()
# 	Uy=data[:,2].tolist()
# 	Uz=data[:,3].tolist()
	
	k=1
	rho=1.0
	V2=1.0
	xlaenge=0.15
	yneu=scipy.zeros(scipy.size(Ux))
	Uxneu=scipy.zeros(scipy.size(Ux))
	nullneu=scipy.zeros(scipy.size(Ux))
	null=scipy.zeros(scipy.size(Ux))
#	print scipy.size(Ux)
#	print "xPos: " + str(xPos)
	for i in range(1,scipy.size(Ux)):
		yneu[k]=y[k]-0.9
#		nullneu[k]=(null[k]+(xPos*1000))/1000
# 		print Ux[k]
# 		print Uxneu[k]
		k=k+1
# 	print scipy.size(Uxneu)
# 	print scipy.size(Ux)
#	return yneu, Ux, Uy, Uz
	#return Ux, y, Uy, Uz
	return Ux, y

# def LoadDataCenterline(file):

# 	data=scipy.io.array_import.read_array(file)
# 	x=data[:,0].tolist()
# 	Ux=data[:,1].tolist()
# 	Uy=data[:,2].tolist()
# 	Uz=data[:,3].tolist()
	
# 	return x, Ux, Uy, Uz

def InitGraph(p,horizN,vertN):
	p.multi(horizN,vertN,hgap=0.3, vgap=0.5)

def DisplayH(p,results,index,Xlabel,Ylabel,focusC,focusR,type,style,color,linwdth,xlimit,title):

	p.focus(focusC,focusR)
	p.hold(1)
	p.fontsize(0.7)
	p.plot(results[0],results[1],type=type,style=style,color=color,linewidth=linwdth)
	p.xlabel(Xlabel)
	p.ylabel(Ylabel)
	p.xlimit(0.0,11.0)
#	p.xlimit(-0.4,xlimit)
	p.title(title,1)
#	p.ylimit(0,4.5)
	
def Display(p,results,type,style,color,linwdth):

	reynol=results[0][len(results[0])-1]

	# Graph display
        tmpY=list(results[0])

	p.focus(0,0)
	p.hold(1)
	p.fontsize(0.7)
	p.plot(results[index],results[0],type=type,style=style,color=color,linewidth=linwdth)
	p.xlabel('x/L')
	p.ylabel('cp')
	
#===========================================================================================================
#                         Main program     
#===========================================================================================================

# ---- Lesen der Datei-------------------------------------------------------------------------------
liste=[]
legendOPF=[]

for line in open("Samples").readlines():
   print line 
   if line.find("#")<0:
	   liste.append(line.strip().split())
   else:
	   print "Kommentar"
   
print 
print "Dateiliste: "   
print liste   
print 
	
# -----------------------------------------------------------------------------------
p=gracePlot.gracePlot(linewidth=1)
InitGraph(p,1,1)

type=[0,0,0,0,0]
style=[1,4,7,1,2]
color=[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20]
type=[1,1,1,1,1]
style=[1,1,1,1,1]
index=0
indexcolor=0
colorIndex=0
styleIndex=0
typeIndex=0
indexXPos=0

# # ---- Messungen + DNS -------------------------------------------------------------------------------
# legendsExp=['Exp']

xlimit=[1,1]
# resultsExperiment_H= LoadDataExperiment_H()
# DisplayH(p,resultsExperiment_H,1,"y [m]","Ux [m/s]",0,0,1,0,1,None,xlimit[0],"TEST")
# resultsExperiment_2H= LoadDataExperiment_2H()
# DisplayH(p,resultsExperiment_2H,1,"y [m]","Ux [m/s]",1,0,1,0,1,None,xlimit[1],"TEST")

# ---- OPENFOAM Berechnungen -------------------------------------------------------------------------------
name=['/Uf.xy']
title=["BoundaryFoam",""]
k=0
for datei in liste:
	print "File name: ", datei[0], "Legende: ",datei[1]
	legendOPF.append(datei[1])

	print file
	for dateiname in name:
		results= LoadData(datei[0]+dateiname)
		DisplayH(p,results,1,"y [m]","Ux [m/s]",k,0,type[index],style[index],color[colorIndex],None,xlimit[k],title[k])
		k=k+1
	k=0
	colorIndex=colorIndex+1


#----- Legende -----------------------------------------------------------------------------------------------
	
print legendOPF
#legends=legendsExp+legendOPF
legends=legendOPF
print legends
p.legend(legends,xpos=0.30,ypos=0.60,fontsize=0.95)

p.save("BoundaryFoam", format='eps')


exit()
